Bug 10714 - Redirect to list contents view upon save after initiating edit from list contents view
Summary: Redirect to list contents view upon save after initiating edit from list cont...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-12 19:30 UTC by Owen Leonard
Modified: 2015-06-04 23:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10714 - Redirect to list contents view upon save after initiating edit from list contents view (2.72 KB, patch)
2013-08-12 19:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10714: Redirect to list contents view upon save after initiating edit from list contents view (2.76 KB, patch)
2013-08-14 16:22 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10714 [Follow-up] Redirect to list contents view upon save after initiating edit from list contents view (2.20 KB, patch)
2014-02-19 20:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10714: Redirect to list contents view upon save after initiating edit from list contents view (2.81 KB, patch)
2014-02-20 03:16 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10714 [Follow-up] Redirect to list contents view upon save after initiating edit from list contents view (2.22 KB, patch)
2014-02-20 03:19 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10714: Redirect to list contents view upon save after initiating edit from list contents view (2.88 KB, patch)
2014-02-20 10:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10714 [Follow-up] Redirect to list contents view upon save after initiating edit from list contents view (2.28 KB, patch)
2014-02-20 10:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-12 19:30:36 UTC
In the OPAC, if you edit a list from the list contents view you are redirected to the contents of that same list after you save your changes. In the staff client you are redirected back to the list of lists. The staff client interface should match the OPAC in this case.
Comment 1 Owen Leonard 2013-08-12 19:35:17 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-08-14 16:22:18 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-08-15 07:16:45 UTC
QA Comment:
This works fine if you click Save. But it does not when you click Cancel.
I think that if we correct this, we should do that too for Cancel.
Comment 4 Owen Leonard 2014-02-19 20:12:08 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2014-02-20 03:16:09 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2014-02-20 03:19:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-02-20 10:26:05 UTC
Created attachment 25485 [details] [review]
Bug 10714: Redirect to list contents view upon save after initiating edit from list contents view

In the staff client, if you initiate a list edit from the list contents
view you should be redirected to that same view after saving your
changes. The OPAC already works this way.

To test, view the contents of an existing list. Click the "Edit list"
item under the "Edit" menu. Click save on the list edit form and you
should be redirected back to the contents view of that list.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jonathan Druart 2014-02-20 10:26:13 UTC
Created attachment 25486 [details] [review]
Bug 10714 [Follow-up] Redirect to list contents view upon save after initiating edit from list contents view

This follow-up corrects the "cancel" action on list edit actions based
on whether the edit was initiated from the list of lists or the list
contents view.

To test, view the list of lists and click the edit link next to one of
them. Click the cancel link. You should return to the list of lists you
were just viewing.

View the contents of a list. Choose "Edit list" from the edit menu.
Click the cancel link on the edit screen. You should return to the list
contents view from which you initiated the edit action.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Galen Charlton 2014-02-20 16:55:30 UTC
Pushed to master.  Thanks, Owen!
Comment 10 Fridolin Somers 2014-05-21 07:41:23 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 11 Kyle M Hall 2014-06-06 13:53:09 UTC
Pushed to 3.12.x will be in 3.12.13